﻿<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - инернет-магазин на C#</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-light bg-white">
            <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Интернет магазин на C#</a>
            <form class="form-inline my-2 my-lg-0" action="@Url.Action("Index", "Search")" method="get">
                <input class="form-control mr-sm-2" type="search" name="query" placeholder="автор или название" />
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" >Искать</button>
            </form>
            <span class="navbar-text ml-auto">
                @{ 
                    if (!Context.Session.TryGetCart(out Cart cart))
                        cart = new Cart();

                    if (cart.Items.Count == 0)
                    {
                        @:Коризна пуста
                    }
                    else
                    {
                        @:Товаров @cart.Items.Count на сумму @cart.Amount
                    }
                }
            </span>
        </nav>
    </header>
    <div class="container">
        <main>
            @RenderBody()
        </main>
    </div>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>
